Package org.codehaus.groovy.reflection.stdclasses

## Class NumberCachedClass

- java.lang.Object
- - org.codehaus.groovy.reflection.CachedClass
  - - org.codehaus.groovy.reflection.stdclasses.NumberCachedClass

- Direct Known Subclasses:
    `BigIntegerCachedClass`, `ByteCachedClass`, `DoubleCachedClass`, `FloatCachedClass`, `IntegerCachedClass`, `LongCachedClass`, `ShortCachedClass`

      public class NumberCachedClass
      extends CachedClass

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

      `CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

      `classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NumberCachedClass​(Class klazz, ClassInfo classInfo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `coerceArgument​(Object argument)` |
    `boolean` | `isAssignableFrom​(Class classToTransformFrom)` |

    - ### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

      `addNewMopMethods, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberCachedClass

          public NumberCachedClass​(Class klazz,
                                   ClassInfo classInfo)

  - ### Method Detail

    - #### coerceArgument

          public Object coerceArgument​(Object argument)

      Overrides:
        `coerceArgument` in class `CachedClass`

    - #### isAssignableFrom

          public boolean isAssignableFrom​(Class classToTransformFrom)

      Overrides:
        `isAssignableFrom` in class `CachedClass`